
Figure - Bug #118014
【IOVDEV-28784】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【蓝牙】副屏蓝牙开启后与蓝牙
手柄进行连接配对，蓝牙手柄有震动连接提示，副屏蓝牙设置界面有显示连接蓝牙手柄，但控制中心蓝牙显示
未连接，状态栏不显示蓝牙连接图标
2023-05-17 20:14 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-17

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.c101��【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230517 16：35

【前提条件】：副屏上电

【操作步骤】

1.点击开启蓝牙，未连接状态

2.连接蓝牙手柄设备

3.查看控制状态栏蓝牙连接状态图标显示以及控制中心蓝牙图标

【实际结果】

1.状态栏蓝牙图标显示为未连接的状态图标，控制中心显示蓝牙未连接

【期望结果】

1.状态栏蓝牙图标显示为已连接的状态图标，控制中心显示连接蓝牙

【备注】：

第128次开机

偶发事件10次大概一次

日志、视频地址：https://ofs.human-horizons.com/#/download/index/xxpeB8VWkII%3D

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 20:15 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118014
#2 - 2023-05-18 11:07 - CD FW-廖涛

- File 中科创达软件股份有限公司20230518-103144.png added

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普

Hi，洪普：

麻烦帮忙分析下这个问题，设备未自动连接上。

从视频和日志中看，设备并没有连接上，只是获取到已配对设备的状态。

#3 - 2023-05-18 11:07 - CD FW-廖涛

- Category changed from CD-FW to LC

#4 - 2023-05-18 21:30 - CDTS_Test 吴诗雨

- Priority changed from Normal to High

- Severity changed from Normal to Major

#5 - 2023-05-22 19:39 - CD LC涂宇

从Dump中看并此时没有连接

AdapterProperties

  Name: 高合娱乐副屏1

  Address: F0:74:E4:41:12:FB

  BluetoothClass: null

  ScanMode: SCAN_MODE_CONNECTABLE

  ConnectionState: STATE_DISCONNECTED

  State: ON

  MaxConnectedAudioDevices: 5

  A2dpOffloadEnabled: true

  Discovering: false

  DiscoveryEndMs: 1684312449308

  Bonded devices:

    80:E4:DA:19:15:07 [  LE  ] BETOP BD3NH BFM

05-17 16:34:11.277  1002  8562  8592 I BluetoothBondStateMachine: Bond State Change Intent:80:E4:DA:19:15:07 BOND_BONDING => BOND_BONDED

05-17 16:34:11.277  1002  8562  8592 I BluetoothBondStateMachine: Bonded Completed 80:E4:DA:19:15:07

05-17 16:34:11.277  1002  8562  8592 I BluetoothBondStateMachine: mBondingDevStatus size 0

05-17 16:34:11.277  1002  8562  8592 I BluetoothBondStateMachine: StableState(): Entering Off State

// No profiles. 需要调查一下

05-17 16:34:11.278  1000  3661  3661 D CachedBluetoothDevice: No profiles. Maybe we will connect later for device 80:E4:DA:19:15:07

Next:

Bonded后No profiles. 需要调查一下

#6 - 2023-05-23 19:19 - CD LC涂宇
Update:

如前面分析，DUT和peer端bonded后没有profile连接，因此导致蓝牙并没有处于connected转态。

Next：

需要snoop以及bt详细日志进一步分析。

#7 - 2023-05-23 21:31 - CDTS-TEST 周婷

已同步客户抓取hci log 方法，待客户提供车辆vin号后提供云端log  5/17 下午3点-5点

#8 - 2023-05-30 17:33 - 短距组_SSRDCNJ 蒋俊杰

【结论】：结合已有结论，绑定后没有profile连接，未看到hci log更新

【下一步计划】：测试提供HCI日志

#9 - 2023-05-30 19:40 - CDTS-TEST 周婷

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

请帮忙联系客户或者本地复现抓取HCI log

#10 - 2023-07-04 18:16 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户多个版本未复现，BUG已关闭

#11 - 2023-07-04 18:16 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-04 18:16 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230517-164507.mp4 12.9 MB 2023-05-17 CDTS_Test 吴诗雨

中科创达软件股份有限公司20230518-103144.png 236 KB 2023-05-18 CD FW-廖涛
